https://prefect.io logo
s

sqlboi

08/31/2023, 6:48 PM
another question for you fine folks šŸ˜• i ran my deployment from a container in a pipenv shell... the files go into s3...but in my .gitignore i have it ignoring .venv... i'll add the traceback
Copy code
Flow could not be retrieved from deployment.
Traceback (most recent call last):
  File "<frozen importlib._bootstrap_external>", line 940, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/tmp/tmpm5jw5ipsprefect/listval/main.py", line 2, in <module>
    from listval import everest as everest_task
  File "/tmp/tmpm5jw5ipsprefect/listval/everest.py", line 2, in <module>
    import polars as pl
ModuleNotFoundError: No module named 'polars'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/prefect/engine.py", line 394, in retrieve_flow_then_begin_flow_run
    flow = await load_flow_from_flow_run(flow_run, client=client)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/prefect/client/utilities.py", line 51, in with_injected_client
    return await fn(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/prefect/deployments/deployments.py", line 221, in load_flow_from_flow_run
    flow = await run_sync_in_worker_thread(load_flow_from_entrypoint, str(import_path))
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/prefect/utilities/asyncutils.py", line 91, in run_sync_in_worker_thread
    return await anyio.to_thread.run_sync(
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/anyio/to_thread.py", line 33, in run_sync
    return await get_asynclib().run_sync_in_worker_thread(
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/anyio/_backends/_asyncio.py", line 877, in run_sync_in_worker_thread
    return await future
           ^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/anyio/_backends/_asyncio.py", line 807, in run
    result = context.run(func, *args)
             ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/prefect/flows.py", line 973, in load_flow_from_entrypoint
    flow = import_object(entrypoint)
           ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/prefect/utilities/importtools.py", line 201, in import_object
    module = load_script_as_module(script_path)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/prefect/utilities/importtools.py", line 164, in load_script_as_module
    raise ScriptError(user_exc=exc, path=path) from exc
prefect.exceptions.ScriptError: Script at 'listval/main.py' encountered an exception: ModuleNotFoundError("No module named 'polars'")
heres the pipfreeze:
Copy code
(job) root@2a20c6483d05:/job# pipenv graph
Loading .env environment variables...
connectorx==0.3.1
h2==4.1.0
ā”œā”€ā”€ hpack [required: >=4.0,<5, installed: 4.0.0]
ā””ā”€ā”€ hyperframe [required: >=6.0,<7, installed: 6.0.1]
pandas==2.1.0
ā”œā”€ā”€ numpy [required: >=1.22.4, installed: 1.25.2]
ā”œā”€ā”€ python-dateutil [required: >=2.8.2, installed: 2.8.2]
ā”‚   ā””ā”€ā”€ six [required: >=1.5, installed: 1.16.0]
ā”œā”€ā”€ pytz [required: >=2020.1, installed: 2023.3]
ā””ā”€ā”€ tzdata [required: >=2022.1, installed: 2023.3]
polars==0.18.15
ok im thinking i have to build it in yaml?